[Testing Update] 2023-10-30 - Kernel 6.6, Linux-Firmware, KDE-Git, Python

Hello community,

Another testing branch update with some usual package updates for you.

image
Get the lastest SoftMaker Office with ChatGPT buillt-in. You will find our Special Offer here!

Recent News:

  • Manjaro, like many other open-source projects, relies on the generosity of its community through donations and corporate sponsorships to support its growth and development. These donations are essential in covering the various expenses incurred in the operations of the project such as server costs, software development tools, infrastructure expenses, training, flying people to events or conferences and the salaries of key developers. With the help of these donations, Manjaro is able to secure the necessary financial stability that allows the project to continuously improve and remain active. If you love Manjaro, consider to donate!
Previous News
Finding information easier about Manjaro

Finding information easier about Manjaro always has been a topic that needed to be solved. With our new search we have put all Manjaro data accessible in one place and divided by sections so it makes it easier to digest: New Manjaro search engine is available | Blog

image

Notable Package Updates:

  • We added the final 6.6 Kernel.
  • linux-firmware got renewed
  • Bash 5.2
  • Usual KDE-git, Haskell and Python updates

Additional Info

Info about AUR packages

:warning: AUR (Arch User Repository) packages are neither supported by Arch nor Manjaro. Posts about them in Announcements topics are off-topic and will be flagged, moved or removed without warning.

For help with AUR packages, please create a new topic in AUR and a helpful volunteer may be able to assist you.

Get our latest daily developer images now from Github: Plasma, GNOME, XFCE. You can get the latest stable releases of Manjaro from CDN77.


Our current supported kernels

  • linux419 4.19.297
  • linux54 5.4.259
  • linux510 5.10.199
  • linux515 5.15.137
  • linux61 6.1.60
  • linux65 6.5.9
  • linux66 6.6.0
  • linux61-rt 6.1.59_rt16
  • linux64-rt 6.4.6_rt8
  • linux65-rt 6.5.2_rt8

Package Changes (Mon Oct 30 14:50:11 CET 2023)

  • testing core x86_64: 21 new and 21 removed package(s)
  • testing extra x86_64: 114 new and 112 removed package(s)
  • testing kde-unstable x86_64: 60 new and 58 removed package(s)
  • testing multilib x86_64: 6 new and 6 removed package(s)
:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2023-10-28           2023-10-28
-------------------------------------------------------------------------------
                           amd-ucode  20230810.7be2766d-1  20230918.3672ccab-1
                                bash            5.1.016-3            5.2.015-1
                      bashrc-manjaro            5.1.016-3            5.2.015-1
                      linux-firmware  20230810.7be2766d-1  20230918.3672ccab-1
                linux-firmware-bnx2x  20230810.7be2766d-1  20230918.3672ccab-1
             linux-firmware-liquidio  20230810.7be2766d-1  20230918.3672ccab-1
              linux-firmware-marvell  20230810.7be2766d-1  20230918.3672ccab-1
             linux-firmware-mellanox  20230810.7be2766d-1  20230918.3672ccab-1
                  linux-firmware-nfp  20230810.7be2766d-1  20230918.3672ccab-1
                 linux-firmware-qcom  20230810.7be2766d-1  20230918.3672ccab-1
               linux-firmware-qlogic  20230810.7be2766d-1  20230918.3672ccab-1
               linux-firmware-whence  20230810.7be2766d-1  20230918.3672ccab-1
                             linux66           6.6.0rc7-5              6.6.0-1
                     linux66-headers           6.6.0rc7-5              6.6.0-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2023-10-28           2023-10-28
-------------------------------------------------------------------------------
                              dialog     1:1.3_20230209-1     1:1.3_20231002-1
                               gpgme             1.23.0-1             1.23.1-1
                                krb5             1.20.1-1             1.20.1-2
                          libnghttp2             1.57.0-1             1.58.0-1
                        python-gpgme             1.23.0-1             1.23.1-1
                          qgpgme-qt5             1.23.0-1             1.23.1-1
                          qgpgme-qt6             1.23.0-1             1.23.1-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2023-10-28           2023-10-28
-------------------------------------------------------------------------------
                   linux66-acpi_call           1.2.2-0.12              1.2.2-1
                    linux66-bbswitch             0.8-0.12                0.8-1
                 linux66-broadcom-wl    6.30.223.271-0.12       6.30.223.271-1
                linux66-nvidia-470xx      470.199.02-0.13         470.199.02-1
                      linux66-nvidia      535.113.01-0.11         535.113.01-1
                       linux66-r8168         8.052.01-0.9           8.052.01-1
                   linux66-rtl8723bu        20220818-0.12           20220818-1
                    linux66-tp_smapi            0.44-0.12               0.44-1
                 linux66-vhba-module        20211218-0.12           20211218-1
     linux66-virtualbox-host-modules           7.0.12-0.6             7.0.12-1
                              lutris             0.5.14-1             0.5.14-2
                linux66-nvidia-390xx                    -            390.157-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2023-10-28           2023-10-28
-------------------------------------------------------------------------------
                             apprise              1.6.0-2              1.6.0-3
                              astyle              3.4.8-1             3.4.10-1
                               atuin             17.0.0-1             17.0.1-1
                        avogadrolibs             1.98.0-2             1.98.0-3
                    avogadrolibs-qt5             1.98.0-2             1.98.0-3
                                  b4             0.12.3-1             0.12.4-1
                               broot             1.26.1-1             1.27.0-1
                browserpass-chromium              3.7.2-2              3.8.0-1
                 browserpass-firefox              3.7.2-2              3.8.0-1
                             buildah             1.32.0-1             1.32.1-1
                 cargo-semver-checks             0.24.1-1             0.24.2-1
                        ceres-solver              2.2.0-1              2.2.0-2
                             chezmoi             2.40.3-1             2.40.4-1
                          cilium-cli            0.15.10-1            0.15.11-1
                         coin-or-cgl             0.60.8-1             0.60.8-2
                         coin-or-clp             1.17.9-1             1.17.9-2
                          coin-or-mp              1.8.4-5              1.8.4-6
                          containerd              1.7.7-1              1.7.8-1
                             ddcutil              1.4.1-1              2.0.0-1
                       deepin-daemon             6.0.23-1             6.0.23-2
             directx-shader-compiler           1.7.2212-1           1.7.2308-1
                              docker           1:24.0.6-1           1:24.0.7-1
                      docker-compose             2.22.0-1             2.23.0-1
                         endless-sky             0.10.2-1             0.10.4-1
                endless-sky-high-dpi             0.10.2-1             0.10.4-1
                    feeluown-netease              0.9.7-1              0.9.8-1
                                 fzf             0.42.0-1             0.43.0-1
                              gauche             0.9.12-1             0.9.13-1
                                giac           1.9.0.65-1           1.9.0.67-1
                           git-cliff              1.3.1-1              1.4.0-1
                               gopls             0.13.2-1             0.14.0-1
                              gpxsee               13.8-1              13.10-1
                                  hy           1:0.26.0-3           1:0.27.0-1
                               i3-wm               4.22-4               4.23-1
                             kalzium            23.08.2-1            23.08.2-2
                   krita-plugin-gmic            3.2.4.1-3            3.2.4.1-4
                             libavif              1.0.1-3              1.0.1-4
                  liblsp-r3d-glx-lib             1.2.12-1             1.2.13-1
                        libmatemixer             1.26.0-1             1.26.1-1
                      libmateweather             1.26.0-1             1.26.2-1
                            libmatio             1.5.23-3             1.5.24-1
                           libpano13             2.9.21-4             2.9.21-5
                              libxdp              1.4.0-1              1.4.1-1
                              libyuv     r2322+3aebf69d-1     r2426+464c51a0-1
                              limine       5.20231024.0-1       5.20231029.0-1
                         lsp-plugins             1.2.12-1             1.2.13-1
                    lsp-plugins-clap             1.2.12-1             1.2.13-1
                    lsp-plugins-docs             1.2.12-1             1.2.13-1
                  lsp-plugins-ladspa             1.2.12-1             1.2.13-1
                     lsp-plugins-lv2             1.2.12-1             1.2.13-1
              lsp-plugins-standalone             1.2.12-1             1.2.13-1
                     lsp-plugins-vst             1.2.12-1             1.2.13-1
                        mate-desktop             1.26.1-1             1.26.2-1
                 mate-system-monitor             1.26.0-1             1.26.1-1
                     mate-user-guide             1.26.0-1             1.26.2-1
                                naev             0.10.6-1             0.10.6-2
                            node-gyp              9.4.0-1              9.4.1-1
                              octave              8.3.0-4              8.3.0-5
                       open-vm-tools           6:12.3.0-1           6:12.3.5-1
                      openbsd-netcat            1.225_1-1            1.226_1-2
                             orbiton             2.65.2-1             2.65.3-1
                        orbiton-gtk3             2.65.2-1             2.65.3-1
                        orbiton-nano             2.65.2-1             2.65.3-1
                            owl-lisp              0.2.1-1              0.2.2-1
                                pnpm             8.10.0-1             8.10.0-2
                              podofo             0.10.1-1             0.10.2-1
                        podofo-tools             0.10.1-1             0.10.2-1
                          powerdevil             5.27.9-1             5.27.9-2
                     python-autopage              0.5.1-2              0.5.2-1
                   python-bitcoinlib             0.12.0-1             0.12.2-1
                     python-cairosvg              2.7.0-1              2.7.1-1
                 python-calmjs.parse              1.3.0-4              1.3.1-1
                       python-celery              5.3.1-1              5.3.4-1
                       python-cvxopt              1.3.2-1              1.3.2-3
                     python-identify             2.5.30-1             2.5.31-1
              python-mysql-connector              8.1.0-1              8.2.0-1
                     python-networkx                3.1-1              3.2.1-1
                      python-pikepdf              8.5.2-1              8.5.3-1
                         python-pipx              1.2.0-1              1.2.1-1
                        python-pygls              1.1.1-1              1.1.2-1
                        python-pypng             0.0.21-4       0.20231004.0-1
                                qgis             3.32.3-2             3.34.0-1
                         qutebrowser              3.0.0-1              3.0.2-1
                              rclone             1.64.0-1             1.64.2-1
                                repo               2.36-1               2.39-1
                              restic             0.16.0-1             0.16.1-1
                                 rio             0.0.25-1             0.0.26-1
                        rio-terminfo             0.0.25-1             0.0.26-1
                                sile            0.14.12-1            0.14.13-1
                         suitesparse              7.2.2-1              7.3.0-1
                                sway            1:1.8.1-1            1:1.8.1-2
                    systray-x-common              0.9.5-2              0.9.6-1
                       systray-x-kde              0.9.5-2              0.9.6-1
                   ttf-sarasa-gothic             0.42.3-1             0.42.4-1
                 ukui-control-center              3.0.4-8              3.0.4-9
                                 urh              2.9.4-4              2.9.5-1
                             utf8cpp              3.2.3-1              4.0.1-1
         v2ray-domain-list-community     20231025154305-1     20231028115119-1
                         vim-ansible                3.3-2                3.4-1
                           xdp-tools              1.4.0-1              1.4.1-1
                               yosys               0.32-1               0.34-1
                            goverlay                    -              0.9.1-3


:: Different overlay package(s) in repository kde-unstable x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2023-10-28           2023-10-28
-------------------------------------------------------------------------------
                             akonadi23.08.1.r13190.gb50106819-123.08.2.r13203.g876cc48e3-1
                    akonadi-contacts23.08.1.r3621.g48ccfbc0-123.08.2.r3632.g46031294-1
               akonadi-import-wizard23.08.1.r2017.gf6aaff8-123.08.2.r2028.gcbe7562-1
                        akonadi-mime23.08.1.r1937.ge614e6f-123.08.2.r1945.g9c1a3fc-1
                      akonadi-search23.08.1.r1484.gcdf2234-123.08.2.r1533.g92050f2-1
                           akregator23.08.1.r6857.g8c29d080-123.08.2.r6871.gb0f46085-1
                           angelfish23.08.1.r1406.g605f8dd-123.08.1.r1415.ga71eb0d-1
                        breeze-icons5.111.0.r2054.gbf0bb880-15.111.0.r2055.g27275e34-1
                     calendarsupport23.08.1.r947.gb9bc0fc-123.08.2.r953.gb96a890-1
                     grantlee-editor23.08.1.r1015.g6304592-123.08.2.r1019.g54055f9-1
                        kaddressbook23.08.1.r6519.g29436eb8-123.08.2.r6532.gbc1653e9-1
                              kalarm23.08.1.r8658.gfb3f060c-123.08.2.r8678.ge91e2568-1
                               kasts23.08.1.r1416.gcda3f72-123.08.1.r1418.g73f8f7a-1
                               kcalc23.08.1.r1782.gaa96ec6-123.08.2.r1803.g9676483-1
                        kcolorscheme5.111.0.r150.g99b0f11-15.111.0.r151.g682c58e-1
                             kconfig5.111.0.r1208.gca14f2c3-15.111.0.r1210.g968e8ae3-1
                      kconfigwidgets5.111.0.r974.g040c7261-15.111.0.r977.g218e58c1-1
                         kcoreaddons5.111.0.r1928.g93d427dc-15.111.0.r1932.gb7d9fac3-1
                          kguiaddons5.111.0.r569.g9857742-15.111.0.r569.g9857742-2
                           kholidays1:5.111.0.r1211.gb437656-11:5.111.0.r1213.gf507e22-1
                 kidentitymanagement23.08.1.r4201.g4da4e228-123.08.2.r4207.ge1c00b08-1
                                 kio5.111.0.r6651.g922667ff6-15.111.0.r6652.ge48eb2dfc-1
                     kirigami-addons1:0.11.0.r128.g52904eb-11:0.11.0.r129.gf87e863-1
                           kirigami25.111.0.r4214.g59d197a4-15.111.0.r4216.g77dd9532-1
                          kitinerary23.08.2.r3342.gd5c6e6cf-123.08.2.r3345.g654d3a2f-1
                               kmail23.08.1.r27367.gd9b35f2ea-123.08.2.r27426.gb65a1278c-1
                kmail-account-wizard23.08.1.r1062.g3bd722f-123.08.2.r1076.gd3560fd-1
                      kmailtransport23.08.1.r2035.g7fe6185-123.08.2.r2039.ge7be628-1
                              knotes23.08.1.r4046.gf76b3b82-123.08.2.r4056.g043296bc-1
                             konsole23.08.1.r9191.g2240bf301-123.08.2.r9244.ge5a0e7778-1
                             kontact23.08.1.r5852.g045dbb76-123.08.2.r5869.g79c38d23-1
                        kpimtextedit23.08.1.r2005.g2ccaf65-123.08.2.r2011.gd23e019-1
                            kservice5.111.0.r1209.gf424bd3a-15.111.0.r1209.gf424bd3a-2
                     kunitconversion5.111.0.r556.g66d8dd3-15.111.0.r557.g7506a3f-1
                             kwallet5.111.0.r1338.gd4278125-15.111.0.r1338.gd4278125-2
                      kwidgetsaddons5.111.0.r1207.g9758bab4-15.111.0.r1208.g63326b9c-1
                       kwindowsystem5.111.0.r957.g7ca140e-1                    -
                          libakonadi23.08.1.r13190.gb50106819-123.08.2.r13203.g876cc48e3-1
                         libgravatar23.08.1.r572.gbef9418-123.08.2.r577.gdf0e76f-1
                        libkmahjongg23.08.2.r576.gedf7724-123.08.2.r587.gfd478fd-1
                           libksieve23.08.1.r2086.gf259905c-123.08.2.r2093.g7b2157be-1
                          mailcommon23.08.1.r1592.g1d842a11-123.08.2.r1601.g5eadad0b-1
                        mailimporter23.08.1.r697.g48b6e00-123.08.2.r707.g51eec42-1
                       mbox-importer23.08.1.r708.gf6da84d-123.08.2.r715.ga66a0e9-1
                          messagelib23.08.1.r7508.ge80b91038-123.08.2.r7533.ge79bd6142-1
                          phonon-qt64.11.0.r103.g5a84ee4f-14.11.0.r104.g75c16847-1
                   pim-data-exporter23.08.1.r3008.g6f93a372-123.08.2.r3015.g5e158996-1
                    pim-sieve-editor23.08.1.r1878.gfbba76c-123.08.2.r1889.gd36230a-1
                           pimcommon23.08.1.r2230.gf477e40a-123.08.2.r2236.g2bf5c06c-1
                       plasma-camera  1.0.r204.ge7b80d8-1  1.0.r206.g60b9dd4-1
                  plasma-integration5.27.8.r710.g8cb13a1-15.27.9.r727.g6a1b865-1
                             purpose5.110.0.r1158.g627664d1-15.111.0.r1162.ga33d4a7b-1
                   qqc2-breeze-style5.27.8.r297.g0dc45fd-15.27.9.r299.g1594669-1
                           spectacle23.08.1.r1959.g3d1e319e-123.08.2.r2000.g398ee256-1
                 syntax-highlighting5.111.0.r2409.gb2f20119-15.111.0.r2410.gea971df1-1
                             tokodon23.08.1.r1539.g819de7ef-123.08.1.r1594.g51dff37f-1
              xdg-desktop-portal-kde5.27.8.r841.g59b6290-15.27.9.r852.gf8d7212-1
                             yakuake23.08.1.r1009.gca3b25d-123.08.2.r1039.gd1fed14-1
                                kate                    -23.08.2.r21086.g6dc7e8705-1
                  kross-interpreters                    -23.08.2.r725.gdef2cfe-1
                              kwrite                    -23.08.2.r21086.g6dc7e8705-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2023-10-28           2023-10-28
-------------------------------------------------------------------------------
                        lib32-brotli             1.0.9-12              1.1.0-1
                        lib32-libdrm            2.4.116-1            2.4.117-1
                    lib32-libnghttp2             1.57.0-1             1.58.0-1
                     lib32-libsodium             1.0.18-2             1.0.19-1
      lib32-vulkan-validation-layers          1.3.261.1-1          1.3.268.0-1
                           wine-nine                0.8-4                0.9-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)
0 voters

Check if your mirror has already synced:

3 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Please RTFT (Read This Fine Thread) first before reporting the same issues over and over again!

:arrow_right: 2023-10-30

2023-10-21

Mechanical HDDs may not spin-down properly on shutdown

There might be a regression introduced with 6.6.0-rc4 which got also backported to 6.1.59 and 6.5.8 Kernels. There is a discussion with the author of the offending patch ongoing here.

ZFS package changes

ZFS extramodules; i.e., linuxXX-zfs, have been dropped from the repos. There have been recent difficulties building them and no one on the Manjaro Team uses ZFS.

Please install zfs-dkms instead. You will to need to manually remove the old 2.1.13 extramodule package(s) first to install the new 2.2.0 packages; i.e., with linux61:

sudo pacman -R linux61-zfs && sudo pacman -Syu zfs-dkms
Restarting gnome-shell using Alt+F2 and entering R, causes a crash

FS#79884 : [gnome-shell] Restarting gnome-shell using Alt+F2 and entering R, causes a crash

GNOME Extensions that target older GNOME versions will not work in GNOME 45

It is recommended to remove all third-party extensions before updating, then install the compatible versions after updating and rebooting. All Most extensions in the Manjaro repos are already updated.

2023-10-05

glibc-locales update requires manual intervention

If you had the old glibc-locales package from the extra repo installed, the update to the new core package will need manual intervention:

 sudo pacman -Syu glibc-locales --overwrite /usr/lib/locale/\*/\*

2023-09-27

Changes to default password hashing algorithm and umask settings

2023-09-22 - David Runge

With shadow >= 4.14.0, Arch Linux’s default password hashing algorithm changed from SHA512 to yescrypt [1].

Furthermore, the umask [2] settings are now configured in /etc/login.defs instead of /etc/profile.

This should not require any manual intervention.

Reasons for Yescrypt

The password-based key derivation function (KDF) and password hashing scheme yescrypt has been chosen due to its adoption (readily available in libxcrypt, which is used by pam [3]) and its stronger resilience towards password cracking attempts over SHA512.

Although the winner of the Password Hashing Competition [4] has been argon2, this even more resilient algorithm is not yet available in libxcrypt [5][6].

Configuring yescrypt

The YESCRYPT_COST_FACTOR setting in /etc/login.defs is currently without effect, until pam implements reading its value [7]. If a YESCRYPT_COST_FACTOR higher (or lower) than the default (5) is needed, it can be set using the rounds option of the pam_unix [8] module (i.e. in /etc/pam.d/system-auth).

General list of changes

  • yescrypt is used as default password hashing algorithm, instead of SHA512
  • pam honors the chosen ENCRYPT_METHOD in /etc/login.defs and does not override the chosen method anymore
  • changes in the filesystem (>= 2023.09.18) and pambase (>= 20230918) packages ensure, that umask is set centrally in /etc/login.defs instead of /etc/profile

[1] yescrypt - scalable KDF and password hashing scheme

[2] umask(1p) — Arch manual pages

[3] PAM - ArchWiki

[4] https://www.password-hashing.net/

[5] https://github.com/besser82/libxcrypt/pull/113

[6] Add support for Argon2 by maandree · Pull Request #150 · besser82/libxcrypt · GitHub

[7] pam_unix: Support reading YESCRYPT_COST_FACTOR from /etc/login.defs · Issue #607 · linux-pam/linux-pam · GitHub

[8] pam_unix(8) — Arch manual pages

Arch Linux - News: Changes to default password hashing algorithm and umask settings

2023-09-06

filesystem and bashrc-manjaro pacnews

With the filesystem 2023.09.03-1 and bashrc-manjaro 5.1.016-3 updates there may be pacnews for the following files if you have local modifications:

  • /etc/shells
  • /etc/bash.bashrc

This would be a good time to test @Ste74’s new manjaro-pacnew-checker program. See Check and manage pacnew files for more info.

2023-08-25

ansible-core >= 2.15.3-1 update may require manual intervention

2023-08-19 - Robin Candau

As of ansible-core 2.15.3, upstream moved documentation and examples to a separate dedicated repository (see the related changelogs).
This means that, starting from version 2.15.3 the ansible-core package will stop shipping documentation and a default configuration example under /etc/ansible/ansible.cfg.

Regarding the documentation, it is available online: https://docs.ansible.com/
As for the configuration file, as explained in the wiki, a base config can be generated with the following command:

ansible-config init --disabled > ansible.cfg

After updating from ansible-core <= 2.15.2-1 to >= 2.15.3-1, everyone using a custom global Ansible configuration file stored under /etc/ansible/ansible.cfg will have their configuration saved as a pacsave file.
To restore it, run the following command:

mv /etc/ansible/ansible.cfg.pacsave /etc/ansible/ansible.cfg

Arch Linux - News: ansible-core >= 2.15.3-1 update may require manual intervention

2023-08-04

Possible glibc 2.38 posix_memalign regression

There seems a performance regression of posix_memalign in Glibc-2.38. More info here: 30723 – Poor posix_memalign performance with long free lists

Workarounds:

You can try another malloc like mimalloc or jemalloc as workaround. Install mimalloc and start mpv with:

LD_PRELOAD=/usr/lib/libmimalloc.so mpv

or

LD_PRELOAD=/usr/lib/libjemalloc.so mpv

For folks that dont want to change things too much … an apparent workaround is to set a lowish cache size:

mkdir -p ~/.config/mpv && printf '\ndemuxer-max-bytes=50MiB\ndemuxer-max-back-bytes=25MiB\n' | tee -a ~/.config/mpv/mpv.conf
budgie-desktop >= 10.7.2-6 update requires manual intervention

When upgrading from budgie-desktop 10.7.2-5 to 10.7.2-6, the package mutter43 must be replaced with magpie-wm, which currently depends on mutter. As mutter43 conflicts with mutter, manual intervention is required to complete the upgrade.

First remove mutter43, then immediately perform the upgrade. Do not relog or reboot between these steps.

pacman -Rdd mutter43
pacman -Syu

Previous testing threads:

Something is wrong with my Valve Index after the update. It gets picked up as a monitor which causes slow boot times (probably because the system tries to do smth with it but fails) and produces considerable lag after login in kde (might be because of x11). The problem persists in Windows until you restart the Index from steam vr. Booting in Manjaro and restarting\powering off brings the problem back.

I’m on Manjaro KDE testing
I’ve just switched to the 6.6.0-1 kernel.
Wi-Fi connection disappeared from Network Manager menu.
My driver rtl8821au-dkms-git and kernel headers for 6.6.0-1 are installed.

UPD: WiFi works fine with kernel 6.5.9-1 which was updated automatically from the kernel 6.5.5.

UPD2: That way or another, I had to reinstall Manjaro KDE TESTING Branch from the scratch. The first thing I did after the installation, I added kernel 6.6.0-1 headers and my WiFi driver. And everything worked smoothly. So - No problems with the new 6.6 kernel and WiFi.

:information_source: NVIDIA 535.129.03 production branch release and 470.223.02 legacy for GKxxx “Kepler” GPUs are out with a security bulletin. Packages are coming along shortly.

The NVIDIA 390.* legacy driver series is no longer being maintained. Please see Support timeframes for Unix legacy GPU releases for more details. However, we will still package it as long as it’s still possible.

Note that the EOL (End Of Life) linux64 & linux64-rt kernels are now removed.

4 Likes

just for warning ,
for this hardware config ( KDE Plasma , CPU : AMD Ryzen 3 , CM : Asus Prime B350M-K
GPU : nvidia GeForce GT710 (drivers nvidia 470 series)

boot is KO with Kernel6.6 , not with 6.5 series ( no screen , no cursor )

1 Like

Confirmed on i7-7700, GeForce 730 (linux66-nvidia-470xx, 470.223.02-2), HP Pavilion Desktop PC 570-p0xx. No screen, no cursor on kernel 6.6

as additional stats: both 6.5 and 6.6 works well for me for a couple of days (i7-1165G7, on-die iGPU, KDE)

@baturcotte and @alven can you guys be more specific on the kernels and what issues you see with 470xxx drivers? does the module not load or something else?

On 6.5.9-1, I get the nvidia, nvidia_drm, nvidia_modeset and nvidia_uvm modules loaded.

On 6.6.0-1. none of them are loaded.

If I try using insmod to manually load them after boot, I get an ERROR: could not load module : No such file or directory

It looks like the modules are there, in /ust/lib/modules/extramodules-6.6-MANJARO, near as I can tell.

OK, may have found something…rebooted under 6.6.0-1, and ran dmesg. number of messages saying
nvidia: version magic '6.6.0-2-MANJARO SMP preempt mod_unload ’ should be '6.6.0-1-MANJARO SMP preempt mod_unload ’

However, there doesn’t appear to be a 6.6.0-2 available to me…

same error from my side

nov. 02 09:36:22 kernel: nvidia: version magic '6.6.0-2-MANJARO SMP preempt mod_unload ' should be '6.6.0-1-MANJARO SMP preempt mod_un>
nov. 02 09:36:22 sddm[602]: Failed to read display number from pipe
nov. 02 09:36:22 sddm[602]: Display server stopping...
nov. 02 09:36:22 sddm[602]: Attempt 3 starting the Display server on vt 2 failed
nov. 02 09:36:22 sddm[602]: Could not start Display server on vt 2

On linux 6.6.0 the new GNOME backlight control of my Laptop (Lenovo IdeaPad 5 Pro 14ARH7) does not work. The issue is not present on linux 6.5.x. Not a big deal though, as it wasn’t a feature in GNOME before.
Might then be a linux mainstream issue…

I just switched from stable to testing - in case this is relevant.

Are you referring the new keyboard backlight control? The feature is only supported on certain devices as far as I know. It works on my Dell Inspiron 5575 but not on my System76 Gazelle 17. The slider will only appear if the hardware is supported.

EDIT: The slider actually is there now on my System76 laptop.

1 Like

Seems there is still an issue with linux66 kernel and its Nvidia drivers:

-------------------------------------------------------------------------------
                             PACKAGE              testing             unstable
-------------------------------------------------------------------------------
                             linux66              6.6.0-1              6.6.0-2
                     linux66-headers              6.6.0-1              6.6.0-2
                linux66-nvidia-390xx            390.157-1            390.157-2
                linux66-nvidia-470xx         470.223.02-2         470.223.02-3
                      linux66-nvidia         535.129.03-1          545.29.02-1

If all versions got compiled in unstable branch then it won’t match due to the magic number error. 390 driver should be fine, as there was no update. So I’ll recompile 470xx and 535xx against current testing branch again.

1 Like

Thx for the answer. Yeah, I mean that one. The option works on my Lenovo Ideapad on kernel 6.5.x - so the option is present as a button in the GNOME Menu. However, it does not show as an option, when I load the new Kernel 6.6.0.

Ok for drivers nvidia 470 series & 535 series for kernel 6.6 and the others kernels